Summary: Frequently Asked Questions (FAQ) about Linux.
Name: faq
Version: 7.0
Release: 2
Source0: ftp://sunsite.unc.edu/pub/Linux/docs/faqs.tar.gz
Source1: faq.desktop
Copyright: distributable
Group: Documentation
BuildArchitectures: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot

%description
The faq package includes the text of the Frequently Asked Questions
(FAQ) about Linux from
http://metalab.unc.edu/pub/Linux/docs/faqs/linux-faq/Linux-FAQ.  The
Linux FAQ is a great source of information about Linux.

Install faq if you'd like to read the Linux FAQ off your own machine.

%prep
%setup -q -n faqs

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Documentation/"Linux Community"
install -m 644 $RPM_SOURCE_DIR/%{name}.desktop $RPM_BUILD_ROOT/etc/X11/applnk/Documentation/"Linux Community"

mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/FAQ/{txt,html}
for faq in *FAQ ; do
  if [ -d $faq ] ; then
    [ -f $faq/$faq ] && cp $faq/$faq $RPM_BUILD_ROOT%{_defaultdocdir}/FAQ/txt
    if [ -f $faq/$faq.html.tar.gz ] ; then
        [ ! -d $RPM_BUILD_ROOT%{_defaultdocdir}/FAQ/html/$faq ] && mkdir $RPM_BUILD_ROOT%{_defaultdocdir}/FAQ/html/$faq
       tar xzvf $faq/$faq.html.tar.gz -C $RPM_BUILD_ROOT%{_defaultdocdir}/FAQ/html/$faq
    fi
    if [ -f $faq/$faq-html.tar.gz ] ; then
        [ ! -d $RPM_BUILD_ROOT%{_defaultdocdir}/FAQ/html/$faq ] && mkdir $RPM_BUILD_ROOT%{_defaultdocdir}/FAQ/html/$faq
        tar xzvf $faq/$faq-html.tar.gz -C $RPM_BUILD_ROOT%{_defaultdocdir}/FAQ/html/$faq
    fi
    [ -f $faq/$faq.ps.gz ] && rm -f $faq/$faq.ps.gz
  else
    cp $faq $RPM_BUILD_ROOT%{_defaultdocdir}/FAQ/txt
  fi
done
# The AfterStep and Ftape FAQs need the navigation gif files in their directories...
cp *.gif $RPM_BUILD_ROOT%{_defaultdocdir}/FAQ/html/AfterStep-FAQ/
cp *.gif $RPM_BUILD_ROOT%{_defaultdocdir}/FAQ/html/Ftape-FAQ/

%files
%defattr(644,root,root,755)
%dir /etc/X11/applnk/Documentation
%dir "/etc/X11/applnk/Documentation/Linux Community"
"/etc/X11/applnk/Documentation/Linux Community/%{name}.desktop"
%docdir %{_defaultdocdir}/FAQ
%dir %{_defaultdocdir}/FAQ
%{_defaultdocdir}/FAQ/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 18 2000 Edward C. Bailey <ed@redhat.com>
- Minor fixes

* Sun Jul 02 2000 Edward C. Bailey <ed@redhat.com>
- Built for 7.0
- Make untarred HTML a little more sane

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- bring it up to date
- fix description

* Fri Apr 09 1999 Preston Brown <pbrown@redhat.com>
- latest FAQs from metalab.unc.edu

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- rebuilt for 6.0

* Tue Sep 22 1998 Cristian Gafton <gafton@redhat.com>
- updated sources

* Thu May 07 1998 Cristian Gafton <gafton@redhat.com>
- text versions moved under txt dir, so they don't conflict anymore with the
  packages from the 5.0 dist

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu May 07 1998 Erik Troan <ewt@redhat.com>
- changed /usr/doc/FAQ/Linux-FAQ to be directory to match old incarnations
  of the faq package

* Fri May 01 1998 Donnie Barnes <djb@redhat.com>
- added /usr/doc/FAQ as a directory to the file list

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- updated; spec file should now be smarter
- use buildroot

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- updated the faqs
- use install-info

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

